Index: /branches/HTM-14.1-update-dev1/source/Lib/TLibDecoder/TDecTop.cpp
===================================================================
--- /branches/HTM-14.1-update-dev1/source/Lib/TLibDecoder/TDecTop.cpp	(revision 1278)
+++ /branches/HTM-14.1-update-dev1/source/Lib/TLibDecoder/TDecTop.cpp	(revision 1279)
@@ -292,5 +292,5 @@
 
 
-#if H_3D_IV_MERGE
+#if NH_3D_IV_MERGE
 Void
 CamParsCollector::copyCamParamForSlice( TComSlice* pcSlice )
@@ -423,7 +423,14 @@
 {
 #if ENC_DEC_TRACE
+#if H_MV_ENC_DEC_TRAC_FIX
+  if (g_hTrace != stdout && g_hTrace != NULL)
+#else
   if (g_hTrace != stdout)
+#endif
   {
     fclose( g_hTrace );
+#if H_MV_ENC_DEC_TRAC_FIX
+    g_hTrace = NULL;
+#endif
   }
 #endif
@@ -1142,22 +1149,9 @@
     pcSlice->getTempRefPicLists( m_cListPic, m_refPicSetInterLayer0, m_refPicSetInterLayer1, tempRefPicLists, usedAsLongTerm, numPocTotalCurr);
     pcSlice->setRefPicList     ( tempRefPicLists, usedAsLongTerm, numPocTotalCurr, true ); 
-#if H_3D
+#if NH_3D_NBDV
     pcSlice->setDefaultRefView();
 #endif
-#if H_3D_ARP
+#if NH_3D_ARP
     pcSlice->setARPStepNum(m_ivPicLists);
-    if( pcSlice->getARPStepNum() > 1 )
-    {
-      // GT: This seems to be broken, not all nuh_layer_ids are necessarily present
-      for(Int iLayerId = 0; iLayerId < nalu.m_nuhLayerId; iLayerId ++ )
-      {
-        Int  iViewIdx =   pcSlice->getVPS()->getViewIndex(iLayerId);
-        Bool bIsDepth = ( pcSlice->getVPS()->getDepthId  ( iLayerId ) == 1 );
-        if( iViewIdx<getViewIndex() && !bIsDepth )
-        {
-          pcSlice->setBaseViewRefPicList( m_ivPicLists->getPicList( iLayerId ), iViewIdx );
-        }
-      }
-    }
 #endif
 #else
@@ -1167,5 +1161,5 @@
 #if NH_3D
     pcSlice->checkInCompPredRefLayers(); 
-#if H_3D_IV_MERGE
+#if NH_3D_IV_MERGE
 #if H_3D_FCO
     //assert( !getIsDepth() );
@@ -1226,5 +1220,5 @@
     //---------------
     pcSlice->setRefPOCList();
-#if  H_3D_TMVP
+#if  NH_3D_TMVP
     if(pcSlice->getLayerId())
     {
@@ -1264,5 +1258,5 @@
   }
 
-#if H_3D_IV_MERGE
+#if NH_3D_IV_MERGE
 #if H_3D_FCO
   if( !pcSlice->getIsDepth() && m_pcCamParsCollector )
Index: /branches/HTM-14.1-update-dev1/source/Lib/TLibDecoder/TDecTop.h
===================================================================
--- /branches/HTM-14.1-update-dev1/source/Lib/TLibDecoder/TDecTop.h	(revision 1278)
+++ /branches/HTM-14.1-update-dev1/source/Lib/TLibDecoder/TDecTop.h	(revision 1279)
@@ -81,5 +81,5 @@
   Int**** getBaseViewShiftLUTI()  { return m_aiBaseViewShiftLUT;   }
 
-#if H_3D_IV_MERGE
+#if NH_3D_IV_MERGE
   Void  copyCamParamForSlice( TComSlice* pcSlice );
 #endif
Index: /branches/HTM-14.1-update-dev1/source/Lib/TLibEncoder/SyntaxElementWriter.cpp
===================================================================
--- /branches/HTM-14.1-update-dev1/source/Lib/TLibEncoder/SyntaxElementWriter.cpp	(revision 1278)
+++ /branches/HTM-14.1-update-dev1/source/Lib/TLibEncoder/SyntaxElementWriter.cpp	(revision 1279)
@@ -52,8 +52,9 @@
     if ( !g_disableNumbering )
     {
-#endif
+      incSymbolCounter();
+      fprintf( g_hTrace, "%8lld  ", g_nSymbolCounter );
+    }
+#else
     fprintf( g_hTrace, "%8lld  ", g_nSymbolCounter++ );
-#if H_MV_ENC_DEC_TRAC
-    }
 #endif
 
@@ -77,8 +78,9 @@
     if ( !g_disableNumbering )
     {
-#endif
+      incSymbolCounter(); 
+      fprintf( g_hTrace, "%8lld  ", g_nSymbolCounter );
+    }
+#else
     fprintf( g_hTrace, "%8lld  ", g_nSymbolCounter++ );
-#if H_MV_ENC_DEC_TRAC
-    }
 #endif
 
@@ -95,8 +97,9 @@
     if ( !g_disableNumbering )
     {
-#endif
+      incSymbolCounter(); 
+      fprintf( g_hTrace, "%8lld  ", g_nSymbolCounter );
+    }
+#else
     fprintf( g_hTrace, "%8lld  ", g_nSymbolCounter++ );
-#if H_MV_ENC_DEC_TRAC
-    }
 #endif
 
@@ -113,9 +116,11 @@
     if ( !g_disableNumbering )
     {
+      incSymbolCounter();
+      fprintf( g_hTrace, "%8lld  ", g_nSymbolCounter );
+    }
+#else
+     fprintf( g_hTrace, "%8lld  ", g_nSymbolCounter++ );
 #endif
-    fprintf( g_hTrace, "%8lld  ", g_nSymbolCounter++ );
-#if H_MV_ENC_DEC_TRAC
-    }
-#endif
+
     fprintf( g_hTrace, "%-50s u(1)  : %d\n", pSymbolName, value );
   }
Index: /branches/HTM-14.1-update-dev1/source/Lib/TLibEncoder/TEncCavlc.cpp
===================================================================
--- /branches/HTM-14.1-update-dev1/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 1278)
+++ /branches/HTM-14.1-update-dev1/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 1279)
@@ -2126,5 +2126,5 @@
       xCodePredWeightTable( pcSlice );
     }
-#if H_3D_IC
+#if NH_3D_IC
     else if( pcSlice->getViewIndex() && ( pcSlice->getSliceType() == P_SLICE || pcSlice->getSliceType() == B_SLICE )
       && !pcSlice->getIsDepth() && vps->getNumRefListLayers( layerId ) > 0 
@@ -2135,9 +2135,9 @@
       if( pcSlice->getApplyIC() )
       {
-        WRITE_FLAG( pcSlice->getIcSkipParseFlag() ? 1 : 0, "ic_skip_mergeidx0" );
-      }
-    }
-#endif
-#if H_3D_IV_MERGE
+        WRITE_FLAG( pcSlice->getIcSkipParseFlag() ? 1 : 0, "slice_ic_disabled_merge_zero_idx_flag" );
+      }
+    }
+#endif
+#if NH_3D_IV_MERGE
     assert(pcSlice->getMaxNumMergeCand()<=MRG_MAX_NUM_CANDS_MEM);
 #else
@@ -2146,5 +2146,5 @@
     if (!pcSlice->isIntra())
     {
-#if H_3D_IV_MERGE
+#if NH_3D_IV_MERGE
       WRITE_UVLC( ( ( pcSlice->getMpiFlag( ) || pcSlice->getIvMvPredFlag( ) || pcSlice->getViewSynthesisPredFlag( ) ) ? MRG_MAX_NUM_CANDS_MEM : MRG_MAX_NUM_CANDS ) - pcSlice->getMaxNumMergeCand(), "five_minus_max_num_merge_cand");
 #else
@@ -2522,5 +2522,5 @@
 }
 
-#if H_3D_ARP
+#if NH_3D_ARP
 Void TEncCavlc::codeARPW( TComDataCU* pcCU, UInt uiAbsPartIdx )
 {
@@ -2529,5 +2529,5 @@
 #endif
 
-#if H_3D_IC
+#if NH_3D_IC
 Void TEncCavlc::codeICFlag( TComDataCU* pcCU, UInt uiAbsPartIdx )
 {
@@ -2838,5 +2838,5 @@
 #endif
     
-#if H_3D_DBBP
+#if NH_3D_DBBP
 Void TEncCavlc::codeDBBPFlag    ( TComDataCU* pcCU, UInt uiAbsPartIdx )
 {
Index: /branches/HTM-14.1-update-dev1/source/Lib/TLibEncoder/TEncCavlc.h
===================================================================
--- /branches/HTM-14.1-update-dev1/source/Lib/TLibEncoder/TEncCavlc.h	(revision 1278)
+++ /branches/HTM-14.1-update-dev1/source/Lib/TLibEncoder/TEncCavlc.h	(revision 1279)
@@ -129,8 +129,8 @@
   Void  codeDeltaDC      ( TComDataCU* /*pcCU*/, UInt /*absPartIdx*/ ) { assert(0); };
 #endif
-#if H_3D_ARP
+#if NH_3D_ARP
   Void codeARPW          ( TComDataCU* pcCU, UInt uiAbsPartIdx );
 #endif
-#if H_3D_IC
+#if NH_3D_IC
   Void codeICFlag        ( TComDataCU* pcCU, UInt uiAbsPartIdx );
 #endif
@@ -139,5 +139,5 @@
   Void codeSDCFlag       ( TComDataCU* pcCU, UInt uiAbsPartIdx );
 #endif
-#if H_3D_DBBP
+#if NH_3D_DBBP
   Void codeDBBPFlag       ( TComDataCU* pcCU, UInt uiAbsPartIdx );
 #endif
Index: /branches/HTM-14.1-update-dev1/source/Lib/TLibEncoder/TEncCfg.h
===================================================================
--- /branches/HTM-14.1-update-dev1/source/Lib/TLibEncoder/TEncCfg.h	(revision 1278)
+++ /branches/HTM-14.1-update-dev1/source/Lib/TLibEncoder/TEncCfg.h	(revision 1279)
@@ -572,5 +572,5 @@
   Void      setMaxTotalCUDepth              ( UInt  u )      { m_maxTotalCUDepth = u; }
   Void      setLog2DiffMaxMinCodingBlockSize( UInt  u )      { m_log2DiffMaxMinCodingBlockSize = u; }
-#if H_3D_IC
+#if NH_3D_IC
   Void       setUseIC                       ( Bool bVal )    { m_bUseIC = bVal; }
   Bool       getUseIC                       ()               { return m_bUseIC; }
